package com.xinelu.manage.service.subdivisioncategory.impl;

import com.xinelu.manage.domain.subdivisioncategory.SubdivisionCategory;
import com.xinelu.manage.mapper.subdivisioncategory.SubdivisionCategoryMapper;
import com.xinelu.manage.service.subdivisioncategory.ISubdivisionCategoryService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.time.LocalDateTime;
import java.util.List;


/**
 * 细分类别信息Service业务层处理
 *
 * @author xinelu
 * @date 2024-02-28
 */
@Service
public class SubdivisionCategoryServiceImpl implements ISubdivisionCategoryService {
    @Resource
    private SubdivisionCategoryMapper subdivisionCategoryMapper;

    /**
     * 查询细分类别信息
     *
     * @param id 细分类别信息主键
     * @return 细分类别信息
     */
    @Override
    public SubdivisionCategory selectSubdivisionCategoryById(Long id) {
        return subdivisionCategoryMapper.selectSubdivisionCategoryById(id);
    }

    /**
     * 查询细分类别信息列表
     *
     * @param subdivisionCategory 细分类别信息
     * @return 细分类别信息
     */
    @Override
    public List<SubdivisionCategory> selectSubdivisionCategoryList(SubdivisionCategory subdivisionCategory) {
        return subdivisionCategoryMapper.selectSubdivisionCategoryList(subdivisionCategory);
    }

    /**
     * 新增细分类别信息
     *
     * @param subdivisionCategory 细分类别信息
     * @return 结果
     */
    @Override
    public int insertSubdivisionCategory(SubdivisionCategory subdivisionCategory) {
        subdivisionCategory.setCreateTime(LocalDateTime.now());
        return subdivisionCategoryMapper.insertSubdivisionCategory(subdivisionCategory);
    }

    /**
     * 修改细分类别信息
     *
     * @param subdivisionCategory 细分类别信息
     * @return 结果
     */
    @Override
    public int updateSubdivisionCategory(SubdivisionCategory subdivisionCategory) {
        subdivisionCategory.setUpdateTime(LocalDateTime.now());
        return subdivisionCategoryMapper.updateSubdivisionCategory(subdivisionCategory);
    }

    /**
     * 批量删除细分类别信息
     *
     * @param ids 需要删除的细分类别信息主键
     * @return 结果
     */
    @Override
    public int deleteSubdivisionCategoryByIds(Long[] ids) {
        return subdivisionCategoryMapper.deleteSubdivisionCategoryByIds(ids);
    }

    /**
     * 删除细分类别信息信息
     *
     * @param id 细分类别信息主键
     * @return 结果
     */
    @Override
    public int deleteSubdivisionCategoryById(Long id) {
        return subdivisionCategoryMapper.deleteSubdivisionCategoryById(id);
    }
}
